Page MenuHomePhabricator

VisualEditor not switching to edit conflict interface
Closed, ResolvedPublic

Description

This bug was reproduced on the English Wikipedia.

Steps to reproduce:

  1. Open an existing page for edition using the Visual Editor (ie: a test page in your user space) in browser 1.
  2. Using an anonymous user on browser 2 (an incognito window for example) make edits to that page so as to create an edit conflict.
  3. Save the page on browser 2.
  4. With browser 1, save the page. The VisualEditor will inform you that a conflict has been detected.
  5. Press the button for conflict resolution.

Actual result:

  • The user gets taken to a wikicode editor for a previous version of the page.
  • An error message informing that "Some parts of the edit form did not reach the server; double-check that your edits are intact and try again." is displayed
  • When "Publish changes" is pressed, the user is then taken to the conflict resolution interface.

Expected result:

  • That the user be shown the conflict resolution interface right away.

Event Timeline

Tinss created this task.Aug 3 2018, 10:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2018, 10:08 PM
Deskana triaged this task as High priority.Aug 7 2018, 6:40 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana added a subscriber: Deskana.

I can reproduce this. The "Some parts of the edit form did not reach the server; double-check that your edits are intact and try again." message is troubling. This is bad if it is affecting a lot of edit summaries. Needs further investigation.

Is this related to T199554? I note that this error message (incompleteForm) can be triggered by wpUltimateParam (EditPage.php line 966), so perhaps they are related? Pinging @DLynch, @matmarex

DLynch added a comment.Aug 8 2018, 5:18 PM

The incompleteForm message part will be fixed when my patch on T199554 is merged. I'm not sure if that's the sole part that's holding up going to the conflict resolution interface, though -- I'll double-check it.

This works correctly for me now (testing on https://en.wikipedia.beta.wmflabs.org/wiki/T201210). After causing an edit conflict, then trying to save in VE, I was redirected directly to this screen:

I guess T199554 was the culprit here.

DLynch claimed this task.Aug 9 2018, 5:12 PM

Yeah, seems like that has indeed helped.

Deskana closed this task as Resolved.Sep 2 2018, 1:00 PM